function plotquiver3Ds()
close all
geofile=fc_simesh.get_geo(3,2,'demisphere5');
meshfile=gmsh.buildmesh3ds(geofile,10,'verbose',0);
Th=siMesh(meshfile);
w={@(x,y,z) y.*cos(-(x.^2+y.^2)/10),@(x,y,z) -x.*cos(-(x.^2+y.^2)/10),@(x,y,z) z };
W=Th.eval(w);
u=Th.eval(@(x,y,z) 3*x.^2-y.^3+z.^2+x.*y);
figure(1)
fc_siplt.plotmesh(Th,'d',1,'color','k', 'LineWidth',1.5)
hold on;axis off;axis image
fc_siplt.plotquiver(Th,W,'LineWidth',1)

figure(2)
fc_siplt.plotmesh(Th,'d',1,'color','k', 'LineWidth',1.5)
hold on;axis off;axis image
fc_siplt.plotquiver(Th,W,'LineWidth',1,'merge',false,'inlegend',true)
legend('show')
figure(3)
fc_siplt.plotmesh(Th,'d',1,'color','k', 'LineWidth',1.5)
hold on;axis off;axis image
fc_siplt.plotquiver(Th,W,'colordata',u, 'scale',0.1)
colormap('jet');colorbar

%fc_tools.graphics.DisplayFigures();
